<?php

namespace BooklyPro\Backend\Components\Gutenberg\SearchForm;

use Bookly\Lib as BooklyLib;

/**
 * Class Block
 *
 * @package BooklyPro\Backend\Components\Gutenberg\SearchForm
 */
class Block extends BooklyLib\Base\Block
{
    /**
     * @inheritDoc
     */
    public static function registerBlockType()
    {
        self::enqueueScripts( array(
            'module' => array(
                'js/search-form-block.js' => array( 'wp-blocks', 'wp-components', 'wp-element', 'wp-editor' ),
            ),
        ) );

        wp_localize_script( 'bookly-search-form-block.js', 'BooklySearchFormL10n', array(
            'block' => array(
                'title' => 'Bookly - ' . __( 'Search form', 'bookly' ),
                'description' => __( 'A custom block for displaying search form', 'bookly' ),
            ),
        ) );

        register_block_type( 'bookly/search-form-block', array(
            'editor_script' => 'bookly-search-form-block.js',
        ) );
    }
}